--original author [Bayn]
--Script reworked for Brighter Real Night 2014-11-21 -JH
EventListener = {};

function EventListener:loadMap(name)
    local env = g_currentMission.environment;

    env.ambientCurve = AnimCurve:new(linearInterpolator3);
    env.ambientCurve:addKeyframe({x=0.0030, y=0.0030, z=0.0030, time = 0*60});
    env.ambientCurve:addKeyframe({x=0.0030, y=0.0030, z=0.0030, time = 1*60});
    env.ambientCurve:addKeyframe({x=0.0030, y=0.0030, z=0.0030, time = 2*60});
    env.ambientCurve:addKeyframe({x=0.0030, y=0.0030, z=0.0030, time = 3.6*60});
    env.ambientCurve:addKeyframe({x=0.0030, y=0.0030, z=0.0030, time = 4*60});
	env.ambientCurve:addKeyframe({x=0.0030, y=0.0030, z=0.0030, time = 4.30*60});
	env.ambientCurve:addKeyframe({x=0.0030, y=0.0030, z=0.0030, time = 5*60});
	env.ambientCurve:addKeyframe({x=0.050, y=0.050, z=0.050, time = 6*60});
    env.ambientCurve:addKeyframe({x=0.2, y=0.2,  z=0.2,  time = 7*60});
	env.ambientCurve:addKeyframe({x=0.6, y=0.6,  z=0.6,  time = 8*60});
	env.ambientCurve:addKeyframe({x=0.9, y=0.9,  z=0.9,  time = 9*60});
    env.ambientCurve:addKeyframe({x=0.9,  y=0.9,  z=0.9,  time = 10*60});
    env.ambientCurve:addKeyframe({x=0.9,  y=0.9,  z=0.9,  time = 12*60});
    env.ambientCurve:addKeyframe({x=0.9,  y=0.9,  z=0.9,  time = 14*60});
    env.ambientCurve:addKeyframe({x=0.9,  y=0.9,  z=0.9,  time = 15*60});
    env.ambientCurve:addKeyframe({x=0.4,  y=0.4,  z=0.4,  time = 18*60});
    env.ambientCurve:addKeyframe({x=0.4,  y=0.4,  z=0.4,  time = 19*60});
    env.ambientCurve:addKeyframe({x=0.2,  y=0.2,  z=0.2,  time = 20*60});
	env.ambientCurve:addKeyframe({x=0.2,  y=0.2,  z=0.2,  time = 20.3*60});
	env.ambientCurve:addKeyframe({x=0.1,  y=0.1,  z=0.1,  time = 21*60});
	env.ambientCurve:addKeyframe({x=0.0030,  y=0.0030,  z=0.0030,  time = 22*60});
	env.ambientCurve:addKeyframe({x=0.0030,  y=0.0030,  z=0.0030,  time = 23*60});
	

    env.specularCurve = AnimCurve:new(linearInterpolator3);
	env.specularCurve:addKeyframe({x=0.05,	y=0.05,	z=0.05, time = 0*60}); 	--Moonglow at night
	env.specularCurve:addKeyframe({x=0.9, 	y=0.9,	z=0.9, time = 6*60}); 	--Gloss level day
	env.specularCurve:addKeyframe({x=0.9, 	y=0.9,	z=0.9, time = 7*60}); 	--Gloss level day
	env.specularCurve:addKeyframe({x=0.9,	y=0.9,	z=0.9, time = 8*60}); 	--Gloss level day
	env.specularCurve:addKeyframe({x=0.9,	y=0.9,	z=0.9, time = 18*60}); 	--Gloss level day
	env.specularCurve:addKeyframe({x=0.9,	y=0.9,	z=0.9, time = 19*60}); 	--Gloss level day
	env.specularCurve:addKeyframe({x=0.9,	y=0.9,	z=0.9, time = 20*60}); 	--Gloss level day
	env.specularCurve:addKeyframe({x=0.3,	y=0.3,	z=0.3, time = 21*60}); 	--Gloss level day
	env.specularCurve:addKeyframe({x=0.3,	y=0.3,	z=0.3, time = 21.5*60});--Gloss level day
	env.specularCurve:addKeyframe({x=0.05,	y=0.05,	z=0.05, time = 22*60}); --Moonglow at night
				
    env.diffuseCurve = AnimCurve:new(linearInterpolator3);
    env.diffuseCurve:addKeyframe({x=0,   y=0,    z=0, time = 0*60});
	env.diffuseCurve:addKeyframe({x=0,   y=0,    z=0, time = 21*60});
	
end;

function EventListener:deleteMap()
end;

function EventListener:mouseEvent(posX, posY, isDown, isUp, button)
end;

function EventListener:keyEvent(unicode, sym, modifier, isDown)
end;

function EventListener:update(dt)
end;

function EventListener:draw()
end;

addModEventListener(EventListener);